'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var core = require('@mantine/core');
var RichTextEditor_context = require('../RichTextEditor.context.cjs');
var RichTextEditorControl = require('./RichTextEditorControl.cjs');

const defaultProps = {};
const RichTextEditorColorControl = react.forwardRef((props, ref) => {
  const { color, ...others } = core.useProps("RichTextEditorColorControl", defaultProps, props);
  const { editor, labels, variant } = RichTextEditor_context.useRichTextEditorContext();
  const currentColor = editor?.getAttributes("textStyle").color || null;
  const label = labels.colorControlLabel(color);
  return /* @__PURE__ */ jsxRuntime.jsx(
    RichTextEditorControl.RichTextEditorControl,
    {
      ...others,
      variant,
      active: currentColor === color,
      "aria-label": label,
      title: label,
      onClick: () => (editor?.chain()).focus().setColor(color).run(),
      ref,
      children: /* @__PURE__ */ jsxRuntime.jsx(core.ColorSwatch, { color, size: 14 })
    }
  );
});
RichTextEditorColorControl.displayName = "@mantine/tiptap/RichTextEditorColorControl";

exports.RichTextEditorColorControl = RichTextEditorColorControl;
//# sourceMappingURL=RichTextEditorColorControl.cjs.map
