'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var core = require('@mantine/core');
var RichTextEditor_context = require('../RichTextEditor.context.cjs');
var RichTextEditor_module = require('../RichTextEditor.module.css.cjs');

const defaultProps = {};
const RichTextEditorToolbar = core.factory((_props, ref) => {
  const props = core.useProps("RichTextEditorToolbar", defaultProps, _props);
  const {
    classNames,
    className,
    style,
    styles,
    vars,
    sticky,
    stickyOffset,
    mod,
    variant,
    ...others
  } = props;
  const ctx = RichTextEditor_context.useRichTextEditorContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    core.Box,
    {
      ref,
      mod: [{ sticky }, mod],
      variant: variant || ctx.variant,
      ...ctx.getStyles("toolbar", { className, style, styles, classNames }),
      ...others,
      __vars: { "--rte-sticky-offset": core.rem(stickyOffset) }
    }
  );
});
RichTextEditorToolbar.classes = RichTextEditor_module;
RichTextEditorToolbar.displayName = "@mantine/tiptap/RichTextEditorToolbar";

exports.RichTextEditorToolbar = RichTextEditorToolbar;
//# sourceMappingURL=RichTextEditorToolbar.cjs.map
